hpp-corbaserver: ConfigValidations Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
ConfigValidations Class Reference

`#include <hpp/core_idl/path_validations-idl.hh>`

Inheritance diagram for ConfigValidations:
[legend]
Collaboration diagram for ConfigValidations:
[legend]

## Public Types
typedef ConfigValidations_ptr | _ptr_type
typedef ConfigValidations_var | _var_type
Public Types inherited from ConfigValidation
typedef ConfigValidation_ptr | _ptr_type
typedef ConfigValidation_var | _var_type

## Public Member Functions
virtual | ~ConfigValidations ()
inline ::hpp::core_idl::ConfigValidations_ptr | _this ()
Public Member Functions inherited from ConfigValidation
virtual | ~ConfigValidation ()
inline ::hpp::core_idl::ConfigValidation_ptr | _this ()

## Static Public Member Functions
static _ptr_type | _duplicate (_ptr_type)
static _ptr_type | _narrow (::CORBA::Object_ptr)
static _ptr_type | _unchecked_narrow (::CORBA::Object_ptr)
static _ptr_type | _nil ()
static void | _marshalObjRef (_ptr_type, cdrStream &)
static _ptr_type | _unmarshalObjRef (cdrStream &s)
static _ptr_type | _fromObjRef (omniObjRef *o)
Static Public Member Functions inherited from ConfigValidation
static _ptr_type | _duplicate (_ptr_type)
static _ptr_type | _narrow (::CORBA::Object_ptr)
static _ptr_type | _unchecked_narrow (::CORBA::Object_ptr)
static _ptr_type | _nil ()
static void | _marshalObjRef (_ptr_type, cdrStream &)
static _ptr_type | _unmarshalObjRef (cdrStream &s)
static _ptr_type | _fromObjRef (omniObjRef *o)

## Static Public Attributes
static _core_attr const char * | _PD_repoId
Static Public Attributes inherited from ConfigValidation
static _core_attr const char * | _PD_repoId

## Member Typedef Documentation

## ◆ _ptr_type

typedef ConfigValidations_ptr ConfigValidations::_ptr_type

## ◆ _var_type

typedef ConfigValidations_var ConfigValidations::_var_type

## Constructor & Destructor Documentation

## ◆ ~ConfigValidations()

virtual ConfigValidations::~ConfigValidations | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _duplicate()

static _ptr_type ConfigValidations::_duplicate | ( | _ptr_type |  | ) |
| static

## ◆ _fromObjRef()

static _ptr_type ConfigValidations::_fromObjRef | ( | omniObjRef * | o | ) |
| inline static

## ◆ _marshalObjRef()

void ConfigValidations::_marshalObjRef | ( | _ptr_type | ,
|  | cdrStream & |
| ) |  |
| inline static

## ◆ _narrow()

static _ptr_type ConfigValidations::_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _nil()

static _ptr_type ConfigValidations::_nil | ( |  | ) |
| static

## ◆ _this()

inline ::hpp::core_idl::ConfigValidations_ptr ConfigValidations::_this | ( |  | ) |
| inline

## ◆ _unchecked_narrow()

static _ptr_type ConfigValidations::_unchecked_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _unmarshalObjRef()

static _ptr_type ConfigValidations::_unmarshalObjRef | ( | cdrStream & | s | ) |
| inline static

## Member Data Documentation

## ◆ _PD_repoId

_core_attr const char* ConfigValidations::_PD_repoId
| static

The documentation for this class was generated from the following file:

- src/hpp/core_idl/path_validations-idl.hh